CMSIS-DSP: arm_lms_norm_instance_f32 Struct Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_lms_norm_instance_f32 Struct Reference

Instance structure for the floating-point normalized LMS filter. More...

## Data Fields
uint16_t | numTaps
float32_t * | pState
float32_t * | pCoeffs
float32_t | mu
float32_t | energy
float32_t | x0

## Description

Examples:
  arm_signal_converge_example_f32.c.

## Field Documentation

float32_t arm_lms_norm_instance_f32::energy

saves previous frame energy.

float32_t arm_lms_norm_instance_f32::mu

step size that control filter coefficient updates.

uint16_t arm_lms_norm_instance_f32::numTaps

number of coefficients in the filter.

float32_t* arm_lms_norm_instance_f32::pCoeffs

points to the coefficient array. The array is of length numTaps.

float32_t* arm_lms_norm_instance_f32::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

float32_t arm_lms_norm_instance_f32::x0

saves previous input sample.